<?php
/**
 * The template for displaying the footer.
 */

global $CLEANING_SERVICES_GLOBALS;

				cleaning_services_close_wrapper();	// <!-- </.content> -->

				// Show main sidebar
				get_sidebar();

				if (cleaning_services_get_custom_option('body_style')!='fullscreen') cleaning_services_close_wrapper();	// <!-- </.content_wrap> -->
				?>
			
			</div>		<!-- </.page_content_wrap> -->
			
			<?php
			// Footer Testimonials stream
			if (cleaning_services_get_custom_option('show_testimonials_in_footer')=='yes') { 
				$count = max(1, cleaning_services_get_custom_option('testimonials_count'));
				$data = cleaning_services_sc_testimonials(array('count'=>$count));
				if ($data) {
					?>
					<footer class="testimonials_wrap sc_section scheme_<?php echo esc_attr(cleaning_services_get_custom_option('testimonials_scheme')); ?>">
						<div class="testimonials_wrap_inner sc_section_inner sc_section_overlay">
							<div class="content_wrap"><?php cleaning_services_show_layout($data); ?></div>
						</div>
					</footer>
					<?php
				}
			}
            // Google map
            if ( cleaning_services_get_custom_option('show_googlemap')=='yes' && function_exists('cleaning_services_sc_googlemap')) {
                $map_address = cleaning_services_get_custom_option('googlemap_address');
                $map_latlng  = cleaning_services_get_custom_option('googlemap_latlng');
                $map_zoom    = cleaning_services_get_custom_option('googlemap_zoom');
                $map_style   = cleaning_services_get_custom_option('googlemap_style');
                $map_height  = cleaning_services_get_custom_option('googlemap_height');
                if (!empty($map_address) || !empty($map_latlng)) {
                    $args = array();
                    if (!empty($map_style))		$args['style'] = esc_attr($map_style);
                    if (!empty($map_zoom))		$args['zoom'] = esc_attr($map_zoom);
                    if (!empty($map_height))	$args['height'] = esc_attr($map_height);
                    cleaning_services_show_layout(cleaning_services_sc_googlemap($args));
                }
            }
            // Additional Footer sidebar
            $footer_additional_show  = cleaning_services_get_custom_option('show_additional_sidebar_footer');
            $sidebar_additional_name = cleaning_services_get_custom_option('sidebar_additional_footer');
            if (!cleaning_services_param_is_off($footer_additional_show) && is_active_sidebar($sidebar_additional_name)) {
                $CLEANING_SERVICES_GLOBALS['current_sidebar'] = 'footer';
                ?>
                <footer class="footer_add_wrap widget_area scheme_<?php echo esc_attr(cleaning_services_get_custom_option('sidebar_additional_footer_scheme')); ?>">
                    <div class="footer_add_wrap_inner widget_area_inner">
                        <div class="content_wrap">
                            <div class="columns_wrap"><?php
                                ob_start();
                                do_action( 'before_sidebar' );
                                if ( is_active_sidebar( $sidebar_additional_name ) ) {
                                    dynamic_sidebar( $sidebar_additional_name );
                                }
                                do_action( 'after_sidebar' );
                                $out = ob_get_contents();
                                ob_end_clean();
                                cleaning_services_show_layout(chop(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $out)));
                                ?></div>	<!-- /.columns_wrap -->
                        </div>	<!-- /.content_wrap -->
                    </div>	<!-- /.footer_wrap_inner -->
                </footer>	<!-- /.footer_wrap -->
            <?php
            }
			
			// Footer sidebar
			$footer_show  = cleaning_services_get_custom_option('show_sidebar_footer');
			$sidebar_name = cleaning_services_get_custom_option('sidebar_footer');
			if (!cleaning_services_param_is_off($footer_show) && is_active_sidebar($sidebar_name)) { 
				$CLEANING_SERVICES_GLOBALS['current_sidebar'] = 'footer';
				?>
				<footer class="footer_wrap widget_area scheme_<?php echo esc_attr(cleaning_services_get_custom_option('sidebar_footer_scheme')); ?> colored_<?php echo esc_attr(cleaning_services_get_custom_option('footer_colored')); ?>">
					<div class="footer_wrap_inner widget_area_inner">
						<div class="content_wrap">
							<div class="columns_wrap"><?php
							ob_start();
							do_action( 'before_sidebar' );
                                if ( is_active_sidebar( $sidebar_name ) ) {
                                    dynamic_sidebar( $sidebar_name );
                                }
							do_action( 'after_sidebar' );
							$out = ob_get_contents();
							ob_end_clean();
							cleaning_services_show_layout(chop(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $out)));
							?></div>	<!-- /.columns_wrap -->
						</div>	<!-- /.content_wrap -->
					</div>	<!-- /.footer_wrap_inner -->
				</footer>	<!-- /.footer_wrap -->
			<?php
			}


			// Footer Twitter stream

			if (cleaning_services_get_custom_option('show_twitter_in_footer')=='yes' && function_exists('cleaning_services_sc_twitter')) {
				$count = max(1, cleaning_services_get_custom_option('twitter_count'));
				$data = cleaning_services_sc_twitter(array('count'=>$count));
				if ($data) {
					?>
					<footer class="twitter_wrap sc_section scheme_<?php echo esc_attr(cleaning_services_get_custom_option('twitter_scheme')); ?>">
						<div class="twitter_wrap_inner sc_section_inner sc_section_overlay">
							<div class="content_wrap"><?php cleaning_services_show_layout($data); ?></div>
						</div>
					</footer>
					<?php
				}
			}




			// Footer contacts
			if (cleaning_services_get_custom_option('show_contacts_in_footer')=='yes') { 
				$address_1 = cleaning_services_get_theme_option('contact_address_1');
				$address_2 = cleaning_services_get_theme_option('contact_address_2');
				$phone = cleaning_services_get_theme_option('contact_phone');
				$fax = cleaning_services_get_theme_option('contact_fax');
				if (!empty($address_1) || !empty($address_2) || !empty($phone) || !empty($fax)) {
					?>
					<footer class="contacts_wrap scheme_<?php echo esc_attr(cleaning_services_get_custom_option('contacts_scheme')); ?>">
						<div class="contacts_wrap_inner">
							<div class="content_wrap">
								<?php cleaning_services_show_logo(false, false, true); ?>
								<div class="contacts_address">
									<address class="address_right">
										<?php if (!empty($phone)) echo esc_html__('Phone:', 'cleaning-services') . ' ' . wp_kses_data($phone) . '<br>'; ?>
										<?php if (!empty($fax)) echo esc_html__('Fax:', 'cleaning-services') . ' ' . wp_kses_data($fax); ?>
									</address>
									<address class="address_left">
										<?php if (!empty($address_2)) echo esc_html($address_2) . '<br>'; ?>
										<?php if (!empty($address_1)) echo esc_html($address_1); ?>
									</address>
								</div>
								<?php if(function_exists('cleaning_services_sc_socials')) cleaning_services_show_layout(cleaning_services_sc_socials(array('size'=>"medium"))); ?>
							</div>	<!-- /.content_wrap -->
						</div>	<!-- /.contacts_wrap_inner -->
					</footer>	<!-- /.contacts_wrap -->
					<?php
				}
			}

			// Copyright area
			$copyright_style = cleaning_services_get_custom_option('show_copyright_in_footer');
			if (!cleaning_services_param_is_off($copyright_style)) {
			?> 
				<div class="copyright_wrap copyright_style_<?php echo esc_attr($copyright_style); ?>  scheme_<?php echo esc_attr(cleaning_services_get_custom_option('copyright_scheme')); ?>">
					<div class="copyright_wrap_inner">
						<div class="content_wrap">
							<?php
							if ($copyright_style == 'menu') {
								if (empty($CLEANING_SERVICES_GLOBALS['menu_footer']))	$CLEANING_SERVICES_GLOBALS['menu_footer'] = cleaning_services_get_nav_menu('menu_footer');
								if (!empty($CLEANING_SERVICES_GLOBALS['menu_footer']))	cleaning_services_show_layout($CLEANING_SERVICES_GLOBALS['menu_footer']);
							} else if ($copyright_style == 'socials' && function_exists('cleaning_services_sc_socials')) {
								cleaning_services_show_layout(cleaning_services_sc_socials(array('size'=>"tiny", 'shape'=>'round')));
							}
							?>
							<div class="copyright_text"><?php cleaning_services_show_layout(do_shortcode(str_replace(array('{{Y}}', '{Y}'), date('Y'), cleaning_services_get_custom_option('footer_copyright')))); ?></div>
						</div>
					</div>
				</div>
			<?php } ?>
			
		</div>	<!-- /.page_wrap -->

	</div>		<!-- /.body_wrap -->
	
	<?php if ( !cleaning_services_param_is_off(cleaning_services_get_custom_option('show_sidebar_outer')) ) { ?>
	</div>	<!-- /.outer_wrap -->
	<?php } ?>

<?php
// Post/Page views counter
require cleaning_services_get_file_dir('templates/_parts/views-counter.php');

// Front customizer
if (cleaning_services_get_custom_option('show_theme_customizer')=='yes') {
	require_once cleaning_services_get_file_dir('core/core.customizer/front.customizer.php');
}
?>

<a href="#" class="scroll_to_top icon-up-2" title="<?php esc_attr_e('Scroll to top', 'cleaning-services'); ?>"></a>

<div class="custom_html_section">
<?php cleaning_services_show_layout(cleaning_services_get_custom_option('custom_code')); ?>
</div>

<?php cleaning_services_show_layout(cleaning_services_get_custom_option('gtm_code2')); ?>

<?php wp_footer(); ?>

</body>
</html>