<?php
/**
 * Cleaning Services Framework: global variables storage
 *
 * @package	cleaning_services
 * @since	cleaning_services 1.0
 */

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }

// Get global variable
if (!function_exists('cleaning_services_get_global')) {
	function cleaning_services_get_global($var_name) {
		global $CLEANING_SERVICES_GLOBALS;
		return isset($CLEANING_SERVICES_GLOBALS[$var_name]) ? $CLEANING_SERVICES_GLOBALS[$var_name] : '';
	}
}

// Set global variable
if (!function_exists('cleaning_services_set_global')) {
	function cleaning_services_set_global($var_name, $value) {
		global $CLEANING_SERVICES_GLOBALS;
		$CLEANING_SERVICES_GLOBALS[$var_name] = $value;
	}
}

// Inc/Dec global variable with specified value
if (!function_exists('cleaning_services_inc_global')) {
	function cleaning_services_inc_global($var_name, $value=1) {
		global $CLEANING_SERVICES_GLOBALS;
		$CLEANING_SERVICES_GLOBALS[$var_name] += $value;
	}
}

// Concatenate global variable with specified value
if (!function_exists('cleaning_services_concat_global')) {
	function cleaning_services_concat_global($var_name, $value) {
		global $CLEANING_SERVICES_GLOBALS;
		$CLEANING_SERVICES_GLOBALS[$var_name] .= $value;
	}
}

// Get global array element
if (!function_exists('cleaning_services_get_global_array')) {
	function cleaning_services_get_global_array($var_name, $key) {
		global $CLEANING_SERVICES_GLOBALS;
		return isset($CLEANING_SERVICES_GLOBALS[$var_name][$key]) ? $CLEANING_SERVICES_GLOBALS[$var_name][$key] : '';
	}
}

// Set global array element
if (!function_exists('cleaning_services_set_global_array')) {
	function cleaning_services_set_global_array($var_name, $key, $value) {
		global $CLEANING_SERVICES_GLOBALS;
		if (!isset($CLEANING_SERVICES_GLOBALS[$var_name])) $CLEANING_SERVICES_GLOBALS[$var_name] = array();
		$CLEANING_SERVICES_GLOBALS[$var_name][$key] = $value;
	}
}

// Inc/Dec global array element with specified value
if (!function_exists('cleaning_services_inc_global_array')) {
	function cleaning_services_inc_global_array($var_name, $key, $value=1) {
		global $CLEANING_SERVICES_GLOBALS;
		$CLEANING_SERVICES_GLOBALS[$var_name][$key] += $value;
	}
}

// Concatenate global array element with specified value
if (!function_exists('cleaning_services_concat_global_array')) {
	function cleaning_services_concat_global_array($var_name, $key, $value) {
		global $CLEANING_SERVICES_GLOBALS;
		$CLEANING_SERVICES_GLOBALS[$var_name][$key] .= $value;
	}
}
?>