<?php
/* Contact Form 7 support functions
------------------------------------------------------------------------------- */

// Theme init
if (!function_exists('cleaning_services_cf7_theme_setup')) {
    add_action( 'cleaning_services_action_before_init_theme', 'cleaning_services_cf7_theme_setup', 1 );
    function cleaning_services_cf7_theme_setup() {
        if (is_admin()) {
            add_filter( 'cleaning_services_filter_required_plugins', 'cleaning_services_cf7_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( !function_exists( 'cleaning_services_cf7_required_plugins' ) ) {
    function cleaning_services_cf7_required_plugins($list=array()) {
        if (in_array('contact-form-7', (array)cleaning_services_storage_get('required_plugins')))
            $list[] = array(
                'name'         => esc_html__('Contact Form 7', 'cleaning-services'),
                'slug'         => 'contact-form-7',
                'required'     => false
            );
        return $list;
    }
}


// Check if cf7 installed and activated
if ( !function_exists( 'cleaning_services_exists_cf7' ) ) {
	function trueman_exists_cf7() {
		return class_exists('WPCF7');
	}
}
?>