<?php
/* The GDPR Framework support functions
------------------------------------------------------------------------------- */

// Theme init
if (!function_exists('cleaning_services_gdpr_compliance_theme_setup')) {
    add_action( 'cleaning_services_action_before_init_theme', 'cleaning_services_gdpr_compliance_theme_setup', 1 );
    function cleaning_services_gdpr_compliance_theme_setup() {
        if (is_admin()) {
            add_filter( 'cleaning_services_filter_required_plugins', 'cleaning_services_gdpr_compliance_required_plugins' );
        }
    }
}

// Check if Instagram Widget installed and activated
if ( !function_exists( 'cleaning_services_exists_gdpr_compliance' ) ) {
    function cleaning_services_exists_gdpr_compliance() {
        return defined( 'WP_GDPR_C_SLUG' );
    }
}

// Filter to add in the required plugins list
if ( !function_exists( 'cleaning_services_gdpr_compliance_required_plugins' ) ) {
    //Handler of add_filter('cleaning_services_filter_required_plugins',    'cleaning_services_gdpr_compliance_required_plugins');
    function cleaning_services_gdpr_compliance_required_plugins($list=array()) {
        if (in_array('gdpr-compliance', (array)cleaning_services_storage_get('required_plugins')))
            $list[] = array(
                'name'         => esc_html__('WP GDPR Compliance', 'cleaning-services'),
                'slug'         => 'wp-gdpr-compliance',
                'required'     => false
            );
        return $list;
    }
}