<?php
/* Gutenberg support functions
------------------------------------------------------------------------------- */

// Theme init
if (!function_exists('cleaning_services_gutenberg_theme_setup')) {
    add_action( 'cleaning_services_action_before_init_theme', 'cleaning_services_gutenberg_theme_setup', 1 );
    function cleaning_services_gutenberg_theme_setup() {
        if (is_admin()) {
            add_filter( 'cleaning_services_filter_required_plugins', 'cleaning_services_gutenberg_required_plugins' );
        }
    }
}

// Check if Instagram Widget installed and activated
if ( !function_exists( 'cleaning_services_exists_gutenberg' ) ) {
    function cleaning_services_exists_gutenberg() {
        return function_exists( 'the_gutenberg_project' ) && function_exists( 'register_block_type' );
    }
}

// Filter to add in the required plugins list
if ( !function_exists( 'cleaning_services_gutenberg_required_plugins' ) ) {
    //Handler of add_filter('cleaning_services_filter_required_plugins',    'cleaning_services_gutenberg_required_plugins');
    function cleaning_services_gutenberg_required_plugins($list=array()) {
        if (in_array('gutenberg', (array)cleaning_services_storage_get('required_plugins')))
            $list[] = array(
                'name'         => esc_html__('Gutenberg', 'cleaning-services'),
                'slug'         => 'gutenberg',
                'required'     => false
            );
        return $list;
    }
}