<?php
/* Instagram Feed support functions
------------------------------------------------------------------------------- */

// Theme init
if (!function_exists('cleaning_services_instagram_feed_theme_setup')) {
	add_action( 'cleaning_services_action_before_init_theme', 'cleaning_services_instagram_feed_theme_setup', 1 );
	function cleaning_services_instagram_feed_theme_setup() {
		if (cleaning_services_exists_instagram_feed()) {
			if (is_admin()) {
				add_filter( 'cleaning_services_filter_importer_options',				'cleaning_services_instagram_feed_importer_set_options' );
			}
		}
		if (is_admin()) {
			add_filter( 'cleaning_services_filter_importer_required_plugins',		'cleaning_services_instagram_feed_importer_required_plugins' );
			add_filter( 'cleaning_services_filter_required_plugins',					'cleaning_services_instagram_feed_required_plugins' );
		}
	}
}

// Check if Instagram Feed installed and activated
if ( !function_exists( 'cleaning_services_exists_instagram_feed' ) ) {
	function cleaning_services_exists_instagram_feed() {
		return defined('SBIVER');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'cleaning_services_instagram_feed_required_plugins' ) ) {
	//Handler of add_filter('cleaning_services_filter_required_plugins',	'cleaning_services_instagram_feed_required_plugins');
	function cleaning_services_instagram_feed_required_plugins($list=array()) {
	    global $CLEANING_SERVICES_GLOBALS;
		if (in_array('instagram_feed', $CLEANING_SERVICES_GLOBALS['required_plugins']))
			$list[] = array(
					'name' 		=> 'Instagram Feed',
					'slug' 		=> 'instagram-feed',
					'required' 	=> false
				);
		return $list;
	}
}



// One-click import support
//------------------------------------------------------------------------

// Check Instagram Feed in the required plugins
if ( !function_exists( 'cleaning_services_instagram_feed_importer_required_plugins' ) ) {
	//Handler of add_filter( 'cleaning_services_filter_importer_required_plugins',	'cleaning_services_instagram_feed_importer_required_plugins' );
	function cleaning_services_instagram_feed_importer_required_plugins($not_installed='') {
	    global $CLEANING_SERVICES_GLOBALS;
		if (in_array('instagram_feed', $CLEANING_SERVICES_GLOBALS['required_plugins']) && !cleaning_services_exists_instagram_feed() )
			$not_installed .= '<br>Instagram Feed';
		return $not_installed;
	}
}

// Set options for one-click importer
if ( !function_exists( 'cleaning_services_instagram_feed_importer_set_options' ) ) {
	//Handler of add_filter( 'cleaning_services_filter_importer_options',	'cleaning_services_instagram_feed_importer_set_options' );
	function cleaning_services_instagram_feed_importer_set_options($options=array()) {
		if (is_array($options)) {
			$options['additional_options'][] = 'sb_instagram_settings';		// Add slugs to export options for this plugin
		}
		return $options;
	}
}
?>