<?php
/* Instagram Widget support functions
------------------------------------------------------------------------------- */

// Theme init
if (!function_exists('cleaning_services_instagram_widget_theme_setup')) {
	add_action( 'cleaning_services_action_before_init_theme', 'cleaning_services_instagram_widget_theme_setup', 1 );
	function cleaning_services_instagram_widget_theme_setup() {
		if (is_admin()) {
			add_filter( 'cleaning_services_filter_importer_required_plugins',		'cleaning_services_instagram_widget_importer_required_plugins' );
			add_filter( 'cleaning_services_filter_required_plugins',					'cleaning_services_instagram_widget_required_plugins' );
		}
	}
}

// Check if Instagram Widget installed and activated
if ( !function_exists( 'cleaning_services_exists_instagram_widget' ) ) {
	function cleaning_services_exists_instagram_widget() {
		return cleaning_services_widget_is_active('wp-instagram-widget/wp-instagram-widget');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'cleaning_services_instagram_widget_required_plugins' ) ) {
	//Handler of add_filter('cleaning_services_filter_required_plugins',	'cleaning_services_instagram_widget_required_plugins');
	function cleaning_services_instagram_widget_required_plugins($list=array()) {
	    global $CLEANING_SERVICES_GLOBALS;
		if (in_array('instagram_widget', $CLEANING_SERVICES_GLOBALS['required_plugins']))
			$list[] = array(
					'name' 		=> 'Instagram Widget',
					'slug' 		=> 'wp-instagram-widget',
					'required' 	=> false
				);
		return $list;
	}
}



// One-click import support
//------------------------------------------------------------------------

// Check Instagram Widget in the required plugins
if ( !function_exists( 'cleaning_services_instagram_widget_importer_required_plugins' ) ) {
	//Handler of add_filter( 'cleaning_services_filter_importer_required_plugins',	'cleaning_services_instagram_widget_importer_required_plugins' );
	function cleaning_services_instagram_widget_importer_required_plugins($not_installed='') {
	    global $CLEANING_SERVICES_GLOBALS;
		if (in_array('instagram_widget', $CLEANING_SERVICES_GLOBALS['required_plugins']) && !cleaning_services_exists_instagram_widget() )
			$not_installed .= '<br>WP Instagram Widget';
		return $not_installed;
	}
}
?>