<?php
/* WPBakery PageBuilder support functions
------------------------------------------------------------------------------- */

// Theme init
if (!function_exists('cleaning_services_vc_theme_setup')) {
	add_action( 'cleaning_services_action_before_init_theme', 'cleaning_services_vc_theme_setup', 1 );
	function cleaning_services_vc_theme_setup() {
		if (cleaning_services_exists_visual_composer()) {
			if (is_admin()) {
				add_filter( 'cleaning_services_filter_importer_options',				'cleaning_services_vc_importer_set_options' );
			}
		}
		if (is_admin()) {
			add_filter( 'cleaning_services_filter_importer_required_plugins',		'cleaning_services_vc_importer_required_plugins' );
			add_filter( 'cleaning_services_filter_required_plugins',					'cleaning_services_vc_required_plugins' );
		}
	}
}

// Check if WPBakery PageBuilder installed and activated
if ( !function_exists( 'cleaning_services_exists_visual_composer' ) ) {
	function cleaning_services_exists_visual_composer() {
		return class_exists('Vc_Manager');
	}
}

// Check if WPBakery PageBuilder in frontend editor mode
if ( !function_exists( 'cleaning_services_vc_is_frontend' ) ) {
	function cleaning_services_vc_is_frontend() {
		return (isset($_GET['vc_editable']) && $_GET['vc_editable']=='true')
			|| (isset($_GET['vc_action']) && $_GET['vc_action']=='vc_inline');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'cleaning_services_vc_required_plugins' ) ) {
	//Handler of add_filter('cleaning_services_filter_required_plugins',	'cleaning_services_vc_required_plugins');
	function cleaning_services_vc_required_plugins($list=array()) {
	    global $CLEANING_SERVICES_GLOBALS;
		if (in_array('visual_composer', $CLEANING_SERVICES_GLOBALS['required_plugins']))
			$list[] = array(
					'name' 		=> 'WPBakery PageBuilder',
					'slug' 		=> 'js_composer',
					'source'	=> cleaning_services_get_file_dir('plugins/install/js_composer.zip'),
					'required' 	=> false
				);
		return $list;
	}
}



// One-click import support
//------------------------------------------------------------------------

// Check VC in the required plugins
if ( !function_exists( 'cleaning_services_vc_importer_required_plugins' ) ) {
	//Handler of add_filter( 'cleaning_services_filter_importer_required_plugins',	'cleaning_services_vc_importer_required_plugins' );
	function cleaning_services_vc_importer_required_plugins($not_installed='') {
	    global $CLEANING_SERVICES_GLOBALS;
		if (in_array('visual_composer', $CLEANING_SERVICES_GLOBALS['required_plugins']) && !cleaning_services_exists_visual_composer() && $_POST['data_type']=='vc' )
			$not_installed .= '<br>WPBakery PageBuilder';
		return $not_installed;
	}
}

// Set options for one-click importer
if ( !function_exists( 'cleaning_services_vc_importer_set_options' ) ) {
	//Handler of add_filter( 'cleaning_services_filter_importer_options',	'cleaning_services_vc_importer_set_options' );
	function cleaning_services_vc_importer_set_options($options=array()) {
		if (is_array($options)) {
			$options['additional_options'][] = 'wpb_js_templates';		// Add slugs to export options for this plugin

		}
		return $options;
	}
}
?>