<?php
/*
 * The template for displaying "Page 404"
*/

// Disable direct call
if (!defined('ABSPATH')) {
    exit;
}


/* Theme setup section
-------------------------------------------------------------------- */

if (!function_exists('cleaning_services_template_404_theme_setup')) {
    add_action('cleaning_services_action_before_init_theme', 'cleaning_services_template_404_theme_setup', 1);
    function cleaning_services_template_404_theme_setup()
    {
        cleaning_services_add_template(array(
            'layout' => '404',
            'mode' => 'internal',
            'title' => 'Page 404',
            'theme_options' => array(
                'article_style' => 'stretch'
            ),
            'w' => null,
            'h' => null
        ));
    }
}

// Template output
if (!function_exists('cleaning_services_template_404_output')) {
    function cleaning_services_template_404_output()
    {
        global $CLEANING_SERVICES_GLOBALS;
        ?>
        </div></div>
        <div class="sc_gap">
            <div class="vc_row wpb_row vc_row-fluid">
                <div class="wpb_column vc_column_container vc_col-sm-12">
                    <div class="wpb_wrapper">
                        <div class="sc_section flying_image_container " style="margin-top: 2em;">
                            <div class="sc_section_inner">
                                <div class="sc_content content_wrap">
                                    <span class="sc_icon icon-hoover-3 sc_icon_shape_none fl_icon1" style="display:block;top: 125px; right: 17px; position: absolute;width:260px; height:260px; line-height:260px;font-weight:100; font-size:130px; color:#3a3a39; background-color:transparent"></span>
                                    <span class="sc_icon icon-broom sc_icon_shape_none fl_icon2" style="display:block;top: 152px; left: 145px; position: absolute;width:140px; height:140px; line-height:140px;font-weight:100; font-size:70px; color:#3a3a39; background-color:transparent"></span>
                                    <span class="sc_icon icon-sponge-1 sc_icon_shape_none fl_icon3" style="display:block;top: 272px; left: 282px; position: absolute;width:162px; height:162px; line-height:162px;font-size:81px; color:#3a3a39; background-color:transparent"></span>
                                    <span class="sc_icon icon-star-4 sc_icon_shape_none fl_icon4" style="display:block;top: 2px; left: 288px; position: absolute;width:64px; height:64px; line-height:64px;font-weight:100; font-size:32px; color:#00b9c1; background-color:transparent"></span>
                                    <span class="sc_icon icon-star-4 sc_icon_shape_none fl_icon5" style="display:block;top: 55px; left: 202px; position: absolute;width:43px; height:43px; line-height:43px;font-weight:100; font-size:19px; color:#00b9c1; background-color:transparent"></span>
                                    <span class="sc_icon icon-star-4 sc_icon_shape_none fl_icon6" style="display:block;top: 2px; right: 240px; position: absolute;width:84px; height:84px; line-height:84px;font-weight:100; font-size:42px; color:#00b9c1; background-color:transparent"></span>
                                    <span class="sc_icon icon-star-4 sc_icon_shape_none fl_icon7" style="display:block;top: -7px; right: 247px; position: absolute;width:50px; height:50px; line-height:50px;font-weight:100; font-size:25px; color:#00b9c1; background-color:transparent"></span>
                                    <span class="sc_icon icon-star-4 sc_icon_shape_none fl_icon8" style="display:block;top: 379px; left: 482px; position: absolute;width:50px; height:50px; line-height:50px;font-weight:100; font-size:25px; color:#00b9c1; background-color:transparent"></span>
                                    <span class="sc_icon icon-star-4 sc_icon_shape_none fl_icon9" style="display:block;top: 331px; right: 268px; position: absolute;width:39px; height:39px; line-height:39px;font-weight:100; font-size:15px; color:#00b9c1; background-color:transparent"></span>

                                    <h2 class="sc_title sc_title_regular sc_align_center big_header">
                                        <?php esc_html_e('OOPS!', 'cleaning-services'); ?>
                                    </h2>

                                    <h2 class="sc_title sc_title_regular sc_align_center" style="text-align:center;font-weight:700;">
                                        <?php echo wp_kses(sprintf(__('<span class="accent2">The requested <span class="accent1">page</span> cannot be</span> <span class="accent1">found</span>', 'cleaning-services'), esc_url(home_url('/'))), $CLEANING_SERVICES_GLOBALS['allowed_tags']); ?>
                                    </h2>

                                    <h3 class="sc_title sc_title_regular sc_align_center" style="text-align:center;font-size:1.25em;">
                                        <?php echo wp_kses(sprintf(__('Please report any broken links to our team.', 'cleaning-services'), esc_url( home_url( '/' ) )), $CLEANING_SERVICES_GLOBALS['allowed_tags']); ?>
                                    </h3>

                                    <div class="sc_section margin_top_medium aligncenter">
                                        <div class="sc_section_inner">
                                            <a href="<?php echo esc_url(home_url('/')); ?>" class="sc_button sc_button_square sc_button_style_filled sc_button_original sc_button_size_medium margin_right_small">
                                                <?php esc_html_e('Go Back Home', 'cleaning-services'); ?>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div><div>
    <?php
    }
}
?>