<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'cleaning_services_template_excerpt_theme_setup' ) ) {
	add_action( 'cleaning_services_action_before_init_theme', 'cleaning_services_template_excerpt_theme_setup', 1 );
	function cleaning_services_template_excerpt_theme_setup() {
		cleaning_services_add_template(array(
			'layout' => 'excerpt',
			'mode'   => 'blog',
			'title'  => esc_html__('Excerpt', 'cleaning-services'),
			'thumb_title'  => esc_html__('Large image (crop)', 'cleaning-services'),
			'w'		 => 1170,
			'h'		 => 659
		));
	}
}

// Template output
if ( !function_exists( 'cleaning_services_template_excerpt_output' ) ) {
	function cleaning_services_template_excerpt_output($post_options, $post_data) {
		$show_title = true;
		$tag = cleaning_services_in_shortcode_blogger(true) ? 'div' : 'article';
		?>
		<<?php cleaning_services_show_layout($tag); ?> <?php post_class('post_item post_item_excerpt post_featured_' . esc_attr($post_options['post_class']) . ' post_format_'.esc_attr($post_data['post_format']) . ($post_options['number']%2==0 ? ' even' : ' odd') . ($post_options['number']==0 ? ' first' : '') . ($post_options['number']==$post_options['posts_on_page']? ' last' : '') . ($post_options['add_view_more'] ? ' viewmore' : '')); ?>>
			<?php
			if ($post_data['post_flags']['sticky']) {
				?><span class="sticky_label"></span><?php
			}

			if ($show_title && $post_options['location'] == 'center' && !empty($post_data['post_title'])) {
				?><h2 class="post_title"><a href="<?php echo esc_url($post_data['post_link']); ?>"><?php cleaning_services_show_layout($post_data['post_title']); ?></a></h2><?php
			}

            //For audio
            if ($show_title && $post_options['location'] != 'center' && !empty($post_data['post_title']) && $post_data['post_format'] == 'audio') {
                ?><h2 class="post_title"><a href="<?php echo esc_url($post_data['post_link']); ?>"><?php cleaning_services_show_layout($post_data['post_title']); ?></a></h2><?php
            }
            if (!$post_data['post_protected'] && $post_options['info'] && $post_data['post_format'] == 'audio') {
                $info_parts = array('author'=>false);
                require cleaning_services_get_file_dir('templates/_parts/post-info.php');
            }
			//



			if (!$post_data['post_protected'] && (!empty($post_options['dedicated']) || $post_data['post_thumb'] || $post_data['post_gallery'] || $post_data['post_video'] || $post_data['post_audio'])) {
				?>
				<div class="post_featured">
				<?php
				if (!empty($post_options['dedicated'])) {
					cleaning_services_show_layout($post_options['dedicated']);
				} else if ($post_data['post_thumb'] || $post_data['post_gallery'] || $post_data['post_video'] || $post_data['post_audio']) {
					require cleaning_services_get_file_dir('templates/_parts/post-featured.php');
				}
				?>
				</div>
			<?php
			}
			?>
	
			<div class="post_content clearfix">
				<?php

				if ($show_title && $post_options['location'] != 'center' && !empty($post_data['post_title']) && $post_data['post_format'] != 'audio') {
					?><h2 class="post_title"><a href="<?php echo esc_url($post_data['post_link']); ?>"><?php cleaning_services_show_layout($post_data['post_title']); ?></a></h2><?php
				}
				
				if (!$post_data['post_protected'] && $post_options['info'] && $post_data['post_format'] != 'audio') {
                    $info_parts = array('author'=>false);
					require cleaning_services_get_file_dir('templates/_parts/post-info.php'); 
				}
				?>
		
				<div class="post_descr">
				<?php
					if ($post_data['post_protected']) {
						cleaning_services_show_layout($post_data['post_excerpt']);
					} else {
						if ($post_data['post_excerpt']) {
							echo in_array($post_data['post_format'], array('quote', 'link', 'chat', 'aside', 'status')) ? $post_data['post_excerpt'] : '<p>'.trim(cleaning_services_strshort($post_data['post_excerpt'], isset($post_options['descr']) ? $post_options['descr'] : cleaning_services_get_custom_option('post_excerpt_maxlength'))).'</p>';
						}
					}
					if (empty($post_options['readmore'])) $post_options['readmore'] = esc_html__('Read more', 'cleaning-services');
					if (!cleaning_services_param_is_off($post_options['readmore']) && !in_array($post_data['post_format'], array('quote', 'link', 'chat', 'aside', 'status', 'audio'))) {
                        if(function_exists('cleaning_services_sc_button')) cleaning_services_show_layout(cleaning_services_sc_button(array('link'=>$post_data['post_link'],'style_color'=>'style2', 'class'=>'read_more_btn'), $post_options['readmore']));
					}
				?>
				</div>

			</div>	<!-- /.post_content -->

		</<?php cleaning_services_show_layout($tag); ?>>	<!-- /.post_item -->

	<?php
	}
}
?>