<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'cleaning_services_template_header_5_theme_setup' ) ) {
	add_action( 'cleaning_services_action_before_init_theme', 'cleaning_services_template_header_5_theme_setup', 1 );
	function cleaning_services_template_header_5_theme_setup() {
		cleaning_services_add_template(array(
			'layout' => 'header_5',
			'mode'   => 'header',
			'title'  => esc_html__('Header 5', 'cleaning-services'),
			'icon'   => cleaning_services_get_file_url('templates/headers/images/5.jpg')
			));
	}
}

// Template output
if ( !function_exists( 'cleaning_services_template_header_5_output' ) ) {
	function cleaning_services_template_header_5_output($post_options, $post_data) {
		global $CLEANING_SERVICES_GLOBALS;

		// WP custom header
		$header_css = '';
		if ($post_options['position'] != 'over') {
			$header_image = get_header_image();
			$header_css = $header_image!='' 
				? ' style="background: url('.esc_url($header_image).') repeat center top"' 
				: '';
		}
		?>

		<div class="top_panel_fixed_wrap"></div>

		<header class="top_panel_wrap top_panel_style_5 scheme_<?php echo esc_attr($post_options['scheme']); ?>">
			<div class="top_panel_wrap_inner top_panel_inner_style_5 top_panel_position_<?php echo esc_attr(cleaning_services_get_custom_option('top_panel_position')); ?>">
			
			<?php if (cleaning_services_get_custom_option('show_top_panel_top')=='yes') { ?>
				<div class="top_panel_top">
					<div class="content_wrap clearfix">
						<?php
						$top_panel_top_components = array('phone','open_hours', 'login', 'currency', 'bookmarks', 'socials','button1', 'button2');
						require_once cleaning_services_get_file_dir('templates/headers/_parts/top-panel-top.php');
						?>
					</div>
				</div>
			<?php } ?>

			<div class="top_panel_middle" <?php cleaning_services_show_layout($header_css); ?>>
				<div class="content_wrap">
					<div class="contact_logo">
						<?php cleaning_services_show_logo(true, true); ?>
					</div>
					<div class="menu_main_wrap clearfix">
						<a href="#" class="menu_main_responsive_button icon-menu"></a>
						<nav class="menu_main_nav_area">
							<?php
							if (empty($CLEANING_SERVICES_GLOBALS['menu_main'])) $CLEANING_SERVICES_GLOBALS['menu_main'] = cleaning_services_get_nav_menu('menu_main');
							if (empty($CLEANING_SERVICES_GLOBALS['menu_main'])) $CLEANING_SERVICES_GLOBALS['menu_main'] = cleaning_services_get_nav_menu();
							cleaning_services_show_layout($CLEANING_SERVICES_GLOBALS['menu_main']);
							?>
						</nav>
						<?php
						if (cleaning_services_get_custom_option('show_search')=='yes' && function_exists('cleaning_services_sc_search')) 
							cleaning_services_show_layout(cleaning_services_sc_search(array('class'=>"top_panel_icon", 'state'=>"closed")));

						?>
					</div></div>
			</div>

			</div>
		</header>

		<?php
	}
}
?>