<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'cleaning_services_template_no_articles_theme_setup' ) ) {
	add_action( 'cleaning_services_action_before_init_theme', 'cleaning_services_template_no_articles_theme_setup', 1 );
	function cleaning_services_template_no_articles_theme_setup() {
		cleaning_services_add_template(array(
			'layout' => 'no-articles',
			'mode'   => 'internal',
			'title'  => esc_html__('No articles found', 'cleaning-services'),
			'w'		 => null,
			'h'		 => null
		));
	}
}

// Template output
if ( !function_exists( 'cleaning_services_template_no_articles_output' ) ) {
	function cleaning_services_template_no_articles_output($post_options, $post_data) {
		global $CLEANING_SERVICES_GLOBALS;
		?>
		<article class="post_item">
			<div class="post_content">
				<h2 class="post_title"><?php esc_html_e('No posts found', 'cleaning-services'); ?></h2>
				<p><?php esc_html_e( 'Sorry, but nothing matched your search criteria.', 'cleaning-services' ); ?></p>
				<p><?php echo wp_kses( sprintf(__('Go back, or return to <a href="%s">%s</a> home page to choose a new page.', 'cleaning-services'), esc_url( home_url( '/' ) ), get_bloginfo()), $CLEANING_SERVICES_GLOBALS['allowed_tags'] ); ?>
				<br><?php esc_html_e('Please report any broken links to our team.', 'cleaning-services'); ?></p>
				<?php if(function_exists('cleaning_services_sc_search')) cleaning_services_show_layout(cleaning_services_sc_search(array('state'=>"fixed"))); ?>
			</div>	<!-- /.post_content -->
		</article>	<!-- /.post_item -->
		<?php
	}
}
?>