<?php

// Disable direct call
if (!defined('ABSPATH')) {
    exit;
}


/* Theme setup section
-------------------------------------------------------------------- */

if (!function_exists('cleaning_services_template_news_theme_setup')) {
    add_action('cleaning_services_action_before_init_theme', 'cleaning_services_template_news_theme_setup', 1);
    function cleaning_services_template_news_theme_setup()
    {
        cleaning_services_add_template(array(
            'layout' => 'news',
            'template' => 'news',
            'need_terms' => false,
            'mode' => 'blogger',
            'title' => esc_html__('Blogger layout: News', 'cleaning-services'),
            'thumb_title' => esc_html__('Medium image (some crop)', 'cleaning-services'),
            'w' => 368,
            'h' => 310
        ));
    }
}

// Template output
if (!function_exists('cleaning_services_template_news_output')) {
    function cleaning_services_template_news_output($post_options, $post_data)
    {
        ?>
        <div
            class="post_item sc_blogger_item sc_news_item<?php cleaning_services_show_layout($post_options['number'] == $post_options['posts_on_page'] && !cleaning_services_param_is_on($post_options['loadmore']) ? ' sc_blogger_item_last' : ''); ?>">
            <?php if ($post_data['post_video'] || $post_data['post_audio'] || $post_data['post_thumb'] || $post_data['post_gallery']) { ?>
                <div class="post_featured">
                    <?php require cleaning_services_get_file_dir('templates/_parts/post-featured.php'); ?>
                </div>
            <?php
            }
            ?>
            <div class="post_content isotope_item_content">
            <?php

            if (!isset($post_options['links']) || $post_options['links']) {
                ?><h4 class="post_title"><a
                    href="<?php echo esc_url($post_data['post_link']); ?>"><?php cleaning_services_show_layout($post_data['post_title']); ?></a>
                </h4><?php
            } else {
                ?><h4 class="post_title"><?php cleaning_services_show_layout($post_data['post_title']); ?></h4><?php
            }

            ?>

                <div class="post_descr">
                    <?php
                    if ($post_data['post_protected']) {
                        cleaning_services_show_layout($post_data['post_excerpt']);
                    } else {
                        if ($post_data['post_excerpt']) {
                            echo in_array($post_data['post_format'], array('quote', 'link', 'chat', 'aside', 'status')) ? $post_data['post_excerpt'] : '<p>'.trim(cleaning_services_strshort($post_data['post_excerpt'], isset($post_options['descr']) ? $post_options['descr'] : cleaning_services_get_custom_option('post_excerpt_maxlength_masonry'))).'</p>';
                        }
                        if (empty($post_options['readmore'])) $post_options['readmore'] = esc_html__('Read more', 'cleaning-services');
                        if (!cleaning_services_param_is_off($post_options['readmore']) && !in_array($post_data['post_format'], array('quote', 'link', 'chat', 'aside', 'status'))) {
                            ?><a href="<?php echo esc_url($post_data['post_link']); ?>" class="post_readmore"><span class="post_readmore_label"><?php cleaning_services_show_layout($post_options['readmore']); ?></span></a><?php
                        }
                    }
                    ?>
                </div>
            </div>

        </div>        <!-- /.post_item -->

    <?php
    }
}
?>