<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'cleaning_services_template_form_1_theme_setup' ) ) {
	add_action( 'cleaning_services_action_before_init_theme', 'cleaning_services_template_form_1_theme_setup', 1 );
	function cleaning_services_template_form_1_theme_setup() {
		cleaning_services_add_template(array(
			'layout' => 'form_1',
			'mode'   => 'forms',
			'title'  => esc_html__('Contact Form 1', 'cleaning-services')
			));
	}
}

// Template output
if ( !function_exists( 'cleaning_services_template_form_1_output' ) ) {
	function cleaning_services_template_form_1_output($post_options, $post_data) {
		global $CLEANING_SERVICES_GLOBALS;
        static $cnt = 0;
        $cnt++;
        $privacy = cleaning_services_get_privacy_text();
		?>
		<form <?php cleaning_services_show_layout($post_options['id'] ? ' id="'.esc_attr($post_options['id']).'"' : ''); ?> data-formtype="<?php echo esc_attr($post_options['layout']); ?>" method="post" action="<?php echo esc_url($post_options['action'] ? $post_options['action'] : $CLEANING_SERVICES_GLOBALS['ajax_url']); ?>">
			<div class="sc_form_info">
				<div class="sc_form_item sc_form_field label_over"><label class="required" for="sc_form_username"><?php esc_html_e('Name', 'cleaning-services'); ?></label><input id="sc_form_username" type="text" name="username" placeholder="<?php esc_attr_e('Name *', 'cleaning-services'); ?>"></div>
				<div class="sc_form_item sc_form_field label_over"><label class="required" for="sc_form_email"><?php esc_html_e('E-mail', 'cleaning-services'); ?></label><input id="sc_form_email" type="text" name="email" placeholder="<?php esc_attr_e('E-mail *', 'cleaning-services'); ?>"></div>
				<div class="sc_form_item sc_form_field label_over"><label class="required" for="sc_form_subj"><?php esc_html_e('Subject', 'cleaning-services'); ?></label><input id="sc_form_subj" type="text" name="subject" placeholder="<?php esc_attr_e('Subject', 'cleaning-services'); ?>"></div>
			</div>
			<div class="sc_form_item sc_form_message label_over"><label class="required" for="sc_form_message"><?php esc_html_e('Message', 'cleaning-services'); ?></label><textarea id="sc_form_message" name="message" placeholder="<?php esc_attr_e('Message', 'cleaning-services'); ?>"></textarea></div>
            <?php
            if (!empty($privacy)) {
                ?><div class="sc_form_field sc_form_field_checkbox"><?php
                ?><input type="checkbox" id="i_agree_privacy_policy_sc_form_<?php echo esc_attr($cnt); ?>" name="i_agree_privacy_policy" class="sc_form_privacy_checkbox" value="1">
                <label for="i_agree_privacy_policy_sc_form_<?php echo esc_attr($cnt); ?>"><?php cleaning_services_show_layout($privacy); ?></label>
                </div><?php
                }
            ?>
            <div class="sc_form_item sc_form_button"><button class="sc_button sc_button_square sc_button_style_filled sc_button_original sc_button_size_medium margin_top_1.75em" <?php
                if (!empty($privacy)) echo ' disabled="disabled"'
                ?>><?php esc_html_e('Send Message', 'cleaning-services'); ?></button></div>
			<div class="result sc_infobox"></div>
		</form>
		<?php
	}
}
?>