<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'cleaning_services_template_form_custom_theme_setup' ) ) {
	add_action( 'cleaning_services_action_before_init_theme', 'cleaning_services_template_form_custom_theme_setup', 1 );
	function cleaning_services_template_form_custom_theme_setup() {
		cleaning_services_add_template(array(
			'layout' => 'form_custom',
			'mode'   => 'forms',
			'title'  => esc_html__('Custom Form', 'cleaning-services')
			));
	}
}

// Template output
if ( !function_exists( 'cleaning_services_template_form_custom_output' ) ) {
	function cleaning_services_template_form_custom_output($post_options, $post_data) {
		global $CLEANING_SERVICES_GLOBALS;
		?>
		<form <?php cleaning_services_show_layout($post_options['id'] ? ' id="'.esc_attr($post_options['id']).'"' : ''); ?> data-formtype="<?php echo esc_attr($post_options['layout']); ?>" method="post" action="<?php echo esc_url($post_options['action'] ? $post_options['action'] : $CLEANING_SERVICES_GLOBALS['ajax_url']); ?>">
			<?php cleaning_services_show_layout($post_options['content']); ?>
			<div class="result sc_infobox"></div>
		</form>
		<?php
	}
}
?>